Summary: Manage an ADSL/PPPoE internet connection
Summary(fr): Configure un lien internet LNPA (ADSL) /PPPoE
Vendor: MandrakeSoft
Distribution: Linux-Mandrake
Name:      pppoe-linuxconf
%define LinuxconfVersion 1.21.1
Version:   1.2_%{LinuxconfVersion}
Release:   1mdk
Source:    pppoe-%{version}.tar.bz2
URL:	   http://coruscant.netrevolution.com/AES/linuxconf
Source1:   pppoe.xpm
Copyright: GPL
Group:     System/Configuration/Other
BuildRoot:  %{_tmppath}/%{name}-root 
requires: linuxconf
requires: LINUXCONFAPIREV16
BuildRequires: linuxconf, linuxconf-devel
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>

%description
This module lets you manage an ADSL link using the PPP over Ethernet
protocol (PPPoE). It has been tested with the Canadian Sympatico HSE (High 
Speed Edition) service.

This package is only a configuration module, you will require the package
rp-pppoe to make it work.


%description -l fr
Ce module vous permet de configurer un lien LNPA (ADSL) avec le protocole
PPPoE. Il a ete teste avec le service canadien Sympatico EHV (Edition Haute
Vitesse).

Ce package est seulement un module de configuration, vous aurez besoin du
package rp-pppoe pour le faire fonctionner.

%prep
%setup -n pppoe

%build
perl -pi -e "s/LINUXCONF-VERSION/%{LinuxconfVersion}/g;" Makefile
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
export RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/linuxconf
make install
mkdir -p $RPM_BUILD_ROOT/usr/lib/linuxconf/descriptions/fr
mkdir -p $RPM_BUILD_ROOT/usr/lib/linuxconf/descriptions/eng
cp -dpR descriptions $RPM_BUILD_ROOT/usr/lib/linuxconf
mkdir -p $RPM_BUILD_ROOT/etc/ppp
cp pppoe.*nnect $RPM_BUILD_ROOT/etc/ppp
mkdir -p $RPM_BUILD_ROOT/usr/lib/linuxconf/redhat
cp *.daemons $RPM_BUILD_ROOT/usr/lib/linuxconf/redhat
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/linuxconf/images

%post
linuxconf --setmod pppoe
%postun
if [ "$1" = "0" ] ; then
linuxconf --unsetmod pppoe
fi

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/linuxconf
%config /etc/ppp

%changelog

*Wed Sep 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2_1.21r1-1mdk
- rebuild with Linuxconf 1.21r1 (no changes to code)
- VERY IMPORTANT TO USE LATEST VERSION otherwise it doesn't work.

*Tue May  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2_1.18.0-1mdk
- rebuild with Linuxconf 1.18 (no changes to code)
- VERY IMPORTANT TO USE LATEST VERSION otherwise it doesn't work.

*Fri Apr  7 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2_1.17.9-1mdk
- new group
- new version for Linuxconf 1.17r9, new numbering scheme

*Tue Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1-3mdk
- fixed typo in french helpfile too

*Tue Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1-2mdk
- fixed typo in helpfile

*Tue Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1-1mdk
- version 1.1 now works with rp-pppoe 1.6

*Tue Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-7mdk
- rebuild for Linuxconf 1.17r4

*Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-6mdk
- modified connect/deconnect scripts

*Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-5mdk
- added french description

*Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-4mdk
- removed require pppoe

*Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-3mdk
- changed name to pppoe-linuxconf

*Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-2mdk
- Fixed typo in french translation
- added xpm image

*Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-1mdk
- First Mandrake release
